Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartCollectionReference

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper.DefaultSmartCollectionReference

All Implemented Interfaces
  SmartCollectionReference, Serializable

Enclosing class:
  PersistenceHelper

    public static class PersistenceHelper.DefaultSmartCollectionReference

extends Object
implements SmartCollectionReference, Serializable

See Also
  Serialized Form

Constructor Summary
`PersistenceHelper.DefaultSmartCollectionReference()`

Method Summary
`Iterator` | `cursor()` Get an iterator over the collection's contents
`Collection` | `getCollection()` Get the entire collection
`void` | `setCollection(Collection collection)` Set the entire collection

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartCollectionReference

    public PersistenceHelper.DefaultSmartCollectionReference()

Method Detail

### getCollection

    public Collection getCollection()

  Description copied from interface: `SmartCollectionReference`
  Get the entire collection

  Specified by:
    `getCollection` in interface `SmartCollectionReference`
  Returns
    the wrapped Collection

### setCollection

    public void setCollection(Collection collection)

  Description copied from interface: `SmartCollectionReference`
  Set the entire collection

  Specified by:
    `setCollection` in interface `SmartCollectionReference`

### cursor

    public Iterator cursor()

  Description copied from interface: `SmartCollectionReference`
  Get an iterator over the collection's contents

  Specified by:
    `cursor` in interface `SmartCollectionReference`
  Returns
    an iterator over the collection's contents

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.